# This is a BitKeeper generated patch for the following project:
# Project Name: Linux kernel tree
# This patch format is intended for GNU patch command version 2.5 or higher.
# This patch includes the following deltas:
#	           ChangeSet	1.531   -> 1.532  
#	drivers/usb/serial/keyspan_pda.c	1.21    -> 1.22   
#
# The following is the BitKeeper ChangeSet Log
# --------------------------------------------
# 02/08/27	greg@kroah.com	1.532
# USB: keyspan_pda driver: fixed __FUNCTION__ usages.
# --------------------------------------------
#
diff -Nru a/drivers/usb/serial/keyspan_pda.c b/drivers/usb/serial/keyspan_pda.c
--- a/drivers/usb/serial/keyspan_pda.c	Wed Aug 28 23:21:28 2002
+++ b/drivers/usb/serial/keyspan_pda.c	Wed Aug 28 23:21:28 2002
@@ -679,11 +679,11 @@
 			     1,
 			     2*HZ);
 	if (rc < 0) {
-		dbg(__FUNCTION__" - roomquery failed");
+		dbg("%s - roomquery failed", __FUNCTION__);
 		goto error;
 	}
 	if (rc == 0) {
-		dbg(__FUNCTION__" - roomquery returned 0 bytes");
+		dbg("%s - roomquery returned 0 bytes", __FUNCTION__);
 		rc = -EIO;
 		goto error;
 	}
@@ -702,7 +702,7 @@
 	port->interrupt_in_urb->dev = serial->dev;
 	rc = usb_submit_urb(port->interrupt_in_urb, GFP_KERNEL);
 	if (rc) {
-		dbg(__FUNCTION__" - usb_submit_urb(read int) failed");
+		dbg("%s - usb_submit_urb(read int) failed", __FUNCTION__);
 		goto error;
 	}
 
@@ -746,7 +746,7 @@
 		record = &xircom_pgs_firmware[0];
 #endif
 	if (record == NULL) {
-		err(__FUNCTION__": unknown vendor, aborting.");
+		err("%s: unknown vendor, aborting.", __FUNCTION__);
 		return -ENODEV;
 	}
 
@@ -797,7 +797,7 @@
 
 static void keyspan_pda_shutdown (struct usb_serial *serial)
 {
-	dbg (__FUNCTION__);
+	dbg("%s", __FUNCTION__);
 	
 	kfree(serial->port[0].private);
 }
